import { TaskQueue } from 'aurelia-framework';
export declare class UIThemeObserverAttribute {
    private taskQueue;
    private mutationObserver;
    private oldPrimaryColor;
    private oldSecondaryColor;
    private whiteColor;
    private blackColor;
    private baseTheme;
    private primaryColor;
    private baseComponentBg;
    private secondaryColor;
    private baseInvert;
    private menuHoverBg;
    private btnBg;
    private tertiaryColor;
    private overridableVariables;
    constructor(taskQueue: TaskQueue);
    attached(): void;
    detached(): void;
    themeChanged(force?: boolean): void;
}
export declare class OverridableVariable {
    variableNameCSS: string;
    colorOverride: string;
    color: () => string;
    constructor(variableNameCSS: string, color: () => string);
}
